Name:           flowcanvas
Summary:        Interactive widget for "boxes and lines" environments
Version:        0.6.4
Release:        1%{?dist}
Group:          Development/Libraries
License:        GPLv2+
URL:            http://drobilla.net/software/flowcanvas/
Source0:        http://download.drobilla.net/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  boost-devel
BuildRequires:  doxygen
BuildRequires:  graphviz-devel
BuildRequires:  libgnomecanvasmm26-devel


%description
FlowCanvas is an interactive Gtkmm/Gnomecanvasmm widget for graph-based
interfaces (patchers, modular synthesizers, finite state automata,
interactive graphs, etc).


%package devel
Summary:        Development libraries and headers for %{name}
Group:          Development/Libraries
Requires:       boost-devel
Requires:       libgnomecanvasmm26-devel
Requires:       pkgconfig
Requires:       %{name} = %{version}-%{release}

%description devel
FlowCanvas is an interactive Gtkmm/Gnomecanvasmm widget for graph-based
interfaces (patchers, modular synthesizers, finite state automata,
interactive graphs, etc).

This package contains the headers and development libraries for FlowCanvas.


%prep
%setup -q


%build
export CXXFLAGS="$RPM_OPT_FLAGS"
./waf configure \
        --prefix=%{_prefix} \
        --libdir=%{_libdir} \
        --docs \
        --htmldir=%{_docdir}/%{name}-devel-%{version}

./waf build -v %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT ./waf install

# Correct permission
chmod +x $RPM_BUILD_ROOT%{_libdir}/lib%{name}.so.*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root,-)
%{_docdir}/%{name}-devel-%{version}/
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Sep 11 2010 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.6.4-1
- Update to 0.6.4

* Tue Jul 27 2010 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.6.0-2
- Rebuild against new boost on F-14

* Sat Feb 20 2010 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.6.0-1
- New version
- Drop upstreamed patch

* Fri Sep 11 2009 Alexander Chalikiopoulos <dreamer@fedoraproject.org> 0.5.1-1
- Initial RPM release
